# PulpRpmClient::RpmModulemdResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**name** | **String** | Modulemd name. | 
**stream** | **String** | Stream name. | 
**version** | **String** | Modulemd version. | 
**static_context** | **Boolean** | Modulemd static-context flag. | [optional] 
**context** | **String** | Modulemd context. | 
**arch** | **String** | Modulemd architecture. | 
**artifacts** | [**Object**](.md) | Modulemd artifacts. | 
**dependencies** | [**Object**](.md) | Modulemd dependencies. | 
**packages** | **Array&lt;String&gt;** | Modulemd artifacts&#39; packages. | [optional] 
**profiles** | [**Object**](.md) | Modulemd profiles. | 
**description** | **String** | Description of module. | 

## Code Sample

```ruby
require 'PulpRpmClient'

instance = PulpRpmClient::RpmModulemdResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 name: null,
                                 stream: null,
                                 version: null,
                                 static_context: null,
                                 context: null,
                                 arch: null,
                                 artifacts: null,
                                 dependencies: null,
                                 packages: null,
                                 profiles: null,
                                 description: null)
```


